import { world } from "@minecraft/server";
import { CommandTarget } from "../interfaces";
export const HCFItemComponents = [
    {
        componentID: "hcf:test_item_component",
        events: {
            onUse: {
                code: (data) => {
                    world.sendMessage(`${data.itemStack?.typeId} this is script code`);
                },
                queue_commands: {
                    simple: {
                        target: CommandTarget.Source,
                        commands: [
                        ]
                    }
                },
                reduceDurability: true
            },
            onMineBlock: {
                queue_commands: {
                    advanced: [
                        {
                            target: CommandTarget.Source,
                            commands: [
                            ]
                        }
                    ]
                },
                reduceDurability: true
            }
        }
    },
    {
        componentID: "hcf:tactical_knife",
        events: {
            onUse: {
                queue_commands: {
                    simple: {
                        target: CommandTarget.Source,
                        commands: [
                        ]
                    }
                },
                reduceDurability: true
            },
            onMineBlock: {
                queue_commands: {
                    advanced: [
                        {
                            target: CommandTarget.Source,
                            commands: [
                            ]
                        }
                    ]
                },
                reduceDurability: true
            }
        }
    },
    {
        componentID: "hcf:tactical_knife_2",
        events: {
            onUse: {
                queue_commands: {
                    simple: {
                        target: CommandTarget.Source,
                        commands: [
                        ]
                    }
                },
                reduceDurability: true
            },
            onMineBlock: {
                queue_commands: {
                    advanced: [
                        {
                            target: CommandTarget.Source,
                            commands: [
                            ]
                        }
                    ]
                },
                reduceDurability: true
            }
        }
    },
    {
        componentID: "hcf:tactical_knife_3",
        events: {
            onUse: {
                queue_commands: {
                    simple: {
                        target: CommandTarget.Source,
                        commands: [
                        ]
                    }
                },
                reduceDurability: true
            },
            onMineBlock: {
                queue_commands: {
                    advanced: [
                        {
                            target: CommandTarget.Source,
                            commands: [
                            ]
                        }
                    ]
                },
                reduceDurability: true
            }
        }
    },
    {
        componentID: "hcf:tactical_knife_4",
        events: {
            onUse: {
                queue_commands: {
                    simple: {
                        target: CommandTarget.Source,
                        commands: [
                        ]
                    }
                },
                reduceDurability: true
            },
            onMineBlock: {
                queue_commands: {
                    advanced: [
                        {
                            target: CommandTarget.Source,
                            commands: [
                            ]
                        }
                    ]
                },
                reduceDurability: true
            }
        }
    },
    {
        componentID: "hcf:tactical_knife_5",
        events: {
            onUse: {
                queue_commands: {
                    simple: {
                        target: CommandTarget.Source,
                        commands: [
                        ]
                    }
                },
                reduceDurability: true
            },
            onMineBlock: {
                queue_commands: {
                    advanced: [
                        {
                            target: CommandTarget.Source,
                            commands: [
                            ]
                        }
                    ]
                },
                reduceDurability: true
            }
        }
    },
    {
        componentID: "hcf:tactical_knife_6",
        events: {
            onUse: {
                queue_commands: {
                    simple: {
                        target: CommandTarget.Source,
                        commands: [
                        ]
                    }
                },
                reduceDurability: true
            },
            onMineBlock: {
                queue_commands: {
                    advanced: [
                        {
                            target: CommandTarget.Source,
                            commands: [
                            ]
                        }
                    ]
                },
                reduceDurability: true
            }
        }
    },
    {
        componentID: "hcf:tactical_knife_7",
        events: {
            onUse: {
                queue_commands: {
                    simple: {
                        target: CommandTarget.Source,
                        commands: [
                        ]
                    }
                },
                reduceDurability: true
            },
            onMineBlock: {
                queue_commands: {
                    advanced: [
                        {
                            target: CommandTarget.Source,
                            commands: [
                            ]
                        }
                    ]
                },
                reduceDurability: true
            }
        }
    },
    {
        componentID: "hcf:tactical_knife_8",
        events: {
            onUse: {
                queue_commands: {
                    simple: {
                        target: CommandTarget.Source,
                        commands: [
                        ]
                    }
                },
                reduceDurability: true
            },
            onMineBlock: {
                queue_commands: {
                    advanced: [
                        {
                            target: CommandTarget.Source,
                            commands: [
                            ]
                        }
                    ]
                },
                reduceDurability: true
            }
        }
    },
    {
        componentID: "hcf:tactical_knife_9",
        events: {
            onUse: {
                queue_commands: {
                    simple: {
                        target: CommandTarget.Source,
                        commands: [
                        ]
                    }
                },
                reduceDurability: true
            },
            onMineBlock: {
                queue_commands: {
                    advanced: [
                        {
                            target: CommandTarget.Source,
                            commands: [
                            ]
                        }
                    ]
                },
                reduceDurability: true
            }
        }
    },
    {
        componentID: "hcf:crowbar",
        events: {
            onMineBlock: {
                queue_commands: {
                    advanced: [
                        {
                            target: CommandTarget.Source,
                            commands: [
                            ]
                        },
                        {
                            target: CommandTarget.Block,
                            commands: [
                                "particle minecraft:cauldron_explosion_emitter"
                            ]
                        }
                    ]
                },
                reduceDurability: true
            }
        }
    }
];
